---
title: Storage.length
slug: Web/API/Storage/length
tags:
  - API
  - Property
  - Read-only
  - Reference
  - Storage
  - Web Storage
---
<div>{{APIRef("Web Storage API")}}</div>

<p>The <strong><code>length</code></strong> read-only property of the {{domxref("Storage")}} interface returns the number of data items stored in a given <code>Storage</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>length</em> = <em>storage</em>.length;</pre>

<h3 id="Return_value">Return value</h3>

<p>The number of items stored in the <code>Storage</code> object.</p>

<h2 id="Example">Example</h2>

<p>The following function adds three data items to the local storage for the current domain, then returns the number of items in the storage:</p>

<pre class="brush: js notranslate">function populateStorage() {
  localStorage.setItem('bgcolor', 'yellow');
  localStorage.setItem('font', 'Helvetica');
  localStorage.setItem('image', 'cats.png');

  return localStorage.length; // Should return 3
}</pre>

<div class="note">
<p><strong>Note</strong>: For a real world example, see our <a href="https://mdn.github.io/dom-examples/web-storage/">Web Storage Demo</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webstorage.html#dom-storage-length', 'Storage.length')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Storage.length")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Storage_API/Using_the_Web_Storage_API">Using the Web Storage API</a></li>
</ul>
